%global pypi_name matplotlib-inline
%global srcname matplotlib_inline

Name:           python-%{pypi_name}
Version:        0.1.7
Release:        %mkrel 2
Summary:        Inline Matplotlib backend for Jupyter
Group:          Development/Python

License:        BSD
URL:            https://github.com/ipython/matplotlib-inline
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Inline Matplotlib backend for Jupyter

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Inline Matplotlib backend for Jupyter

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files matplotlib_inline

%files -n python3-matplotlib-inline -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.1.7-2.mga10
+ Revision: 2239291
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.1.7-1.mga10
+ Revision: 2156379
- new version 0.1.7
- rebuild for python3.13

* Mon Dec 25 2023 wally <wally> 0.1.6-1.mga10
+ Revision: 2021369
- new version 0.1.6

* Wed Sep 07 2022 neoclust <neoclust> 0.1.5-1.mga9
+ Revision: 1884922
- New version  0.1.5

* Tue Jun 21 2022 umeabot <umeabot> 0.1.2-3.mga9
+ Revision: 1865389
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 tv <tv> 0.1.2-1.mga9
+ Revision: 1781127
- imported package python-matplotlib-inline


* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.1.2-2
- Rebuilt for Python 3.10

* Tue May 04 2021 Lumír Balhar <lbalhar@redhat.com> - 0.1.2-1
- Initial package.
